/*************************************************************/
/*  copy2.c   SS July 92                                     */
/*                                                           */
/* Converts s16 image to u8 image                            */
/* Latest update: 1997-11-27                                 */
/*************************************************************/

/****************************************************************************/
/*                                                                           */
/* Notice:                                                                   */
/* =======                                                                   */
/*                                                                           */
/* I make no warranties that this program is (1) free of error, (2) con-     */
/* sistent with any standard merchantability, or (3) meeting the require-    */
/* ments of a particular application.  This software shall not, partly or    */
/* as a whole, participate in a process, whose outcome can result in injury  */
/* to a person or loss of property. It is solely designed for analytical     */
/* work.  Permission to use, copy, and distribute is hereby granted without  */
/* fee, providing that the header above including this notice appears in     */
/* all copies.                                                               */
/*                                                                           */
/*                                                         Stefan Spaennare  */
/*                                                                           */
/*****************************************************************************/

#include <math.h>
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include "image.h"


int main(argc,argv) 
int argc;
char *argv[];
{
   struct image_head header,header2; 
   short **image;
   unsigned char **image2;
   
   int i,j,temp;

   if (argc<3) {
      printf("Usage: %s s16image u8image\n",argv[0]);
      exit(0);
   } /* if */

 
   ReadHeader(argv[1],&header);

   image = (short **)calloc(header.hgh,sizeof(short*));

   ReadImage(argv[1],image);

   header2.id=image_magic;
   header2.typ=im_s16;
   header2.off=512;
   header2.hgh=header.hgh;
   header2.wid=header.wid;

   image2 = (unsigned char **)calloc(header2.hgh,sizeof(unsigned char*));

   CreateIm_u8(image2,header2.hgh,header2.wid);

   for (i=0; i<header.hgh; i++) {
      for (j=0; j<header.wid; j++) {
          temp=image[i][j]/128;
	  if (temp < 0) {
	     temp=0;
	  } /* if */
          image2[i][j]=temp;
      } /* for j */
   } /* for i */

   WriteImage(argv[2],image2,header2,im_u8);

} /* End  */
