/*************************************************************/
/*  sqr2a4h.c                                                */
/*                                                           */
/*  Latest update: March 2001  SS                            */
/*************************************************************/

/****************************************************************************/
/*                                                                           */
/* Notice:                                                                   */
/* =======                                                                   */
/*                                                                           */
/* I make no warranties that this program is (1) free of error, (2) con-     */
/* sistent with any standard merchantability, or (3) meeting the require-    */
/* ments of a particular application.  This software shall not, partly or    */
/* as a whole, participate in a process, whose outcome can result in injury  */
/* to a person or loss of property. It is solely designed for analytical     */
/* work.  Permission to use, copy, and distribute is hereby granted without  */
/* fee, providing that the header above including this notice appears in     */
/* all copies.                                                               */
/*                                                                           */
/*                                                         Stefan Spaennare  */
/*                                                                           */
/*****************************************************************************/


#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <time.h>


double timetic=(double)(CLOCKS_PER_SEC);


int main(argc,argv)
int argc;
char *argv[];
{

   FILE *infile,*outfile;

   int itmax,xsize,ysize,ysize2;

   double a,wa,b,wb,b2,wb2,fac;


   if (argc<2) {
      printf("Usage: %s mand-sqr-file mand-a4h-file\n",argv[0]);
      printf("\n");
      printf("Parameters: a wa b wb itmax xsize ysize\n"); 
      exit(0);
   } /* if */


   if ((infile = fopen(argv[1],"r")) == NULL) {
      printf("File not found.\n");
      exit(0);
   } /* if */

   outfile = fopen(argv[2],"w");

   fac=2896.0/2048.0;

   fscanf(infile,"%lf %lf %lf %lf %d %d %d",&a,&wa,&b,&wb,&itmax,&xsize,&ysize); 

   wb2=wb*fac;

   b2=b-0.5*(wb2-wb);

   ysize2=(int)((double)(ysize)*fac+0.5);


   fprintf(outfile,"%18.16lf %18.16lf %18.16lf %18.16lf %8d %8d %8d\n",a,wa,b2,wb2,itmax,xsize,ysize2);


   fclose(infile);
   fclose(outfile);


} /* End */
